Subject: Re: bug#11886: 24.1; Ctrl-G in an emacs running in a terminal sends a SIGINT to the parent shell

From: Vincent Lefevre <[email-masked]>
Date: Tue, 7 Aug 2012 19:42:48 +0200

On 2012-08-07 16:05:07 +0200, Vincent Lefevre wrote:
> I've reported the problem in the Debian BTS for dash:
> 
>   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=683671

I think that there is a bug in Emacs too, because I also get
problems when the parent shell is bash or ksh. Under X, with

  bash -c 'emacs24 & emacs24 -nw; wait'

typing Ctrl-G in the terminal kills the Emacs that has its own
interface.

-- 
Vincent Lefèvre <[email-masked]> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)